# [OmniOS-discuss] samba in a non-global zone ?

Michael Mounteney gate03 at landcroft.co.uk
Sat Dec 1 19:20:26 EST 2012

- Previous message: [OmniOS-discuss] samba in a non-global zone ?
- Next message: [OmniOS-discuss] hardware specs for illumos storage/virtualization server
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

    On Sat, 1 Dec 2012 14:12:19 +0000
    Stephen Nelson-Smith <stephen at atalanta-systems.com> wrote:

    > If you truss that, I bet you'll see it reading an smbpasswd file.  I
    > also bet it has no password entry.

    You were right but it's still not working.  I followed http://docs.oracle.com/cd/E19082-01/820-2429/configureworkgroupmodetask/index.html and it all went straightforwardly:

    	root at world:/home/common# vi /etc/pam.conf
    	root at world:/home/common# passwd sheila
    	New Password:
    	Re-enter new Password:
    	passwd: password successfully changed for sheila
    	passwd: SMB password successfully changed for sheila
    	root at world:/home/common# smbadm join -w workgroup
    	After joining workgroup the smb service will be restarted automatically.
    	Would you like to continue? [no]: yes
    	Successfully joined workgroup
    	root at world:/home/common# ls -tlr /var/smb
    	total 26
    	drwxr-xr-x 3 root sys     3 Oct  5 01:20 cvol
    	-r-------- 1 root sys     0 Oct  5 01:21 osmbpasswd
    	-rw-r--r-- 1 root sys 10240 Dec  1 16:06 smbgroup.db
    	-r-------- 1 root sys    45 Dec  2 07:17 smbpasswd

    but the client still won't connect.  Using the command line version:

    	C:\wherever> net use Q: \\world\home\sheila /user:sheila ******** /persistent:yes
    	System error 5 has occurred.

    	Access is denied.

    	C:\wherever>

    and the same for "\\world\home" and "/user:world\sheila" combinations.

    On the server:

    	root at world:/home/common# smbutil view //sheila at cortex
    	Password:
    	Share        Type       Comment
    	-------------------------------
    	c$           disk       Default Share
    	home         disk
    	IPC$         IPC        Remote IPC
    	vss$         disk       VSS

    	4 shares listed from 4 available

    Although the hostname is world, the interface is cortex,192.168.1.1 --- is that relevant ?

    --
    _________________
    Michael Mounteney

- Previous message: [OmniOS-discuss] samba in a non-global zone ?
- Next message: [OmniOS-discuss] hardware specs for illumos storage/virtualization server
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

More information about the OmniOS-discuss mailing list